org.eclipse.actf.util.win32.comclutch

## Interface IOleContainer

All Superinterfaces:
  IResource, IUnknown

    public interface IOleContainer
    extends IUnknown

Wrapper for IOleContainer object see http://msdn.microsoft.com/en-us/library/ms690103(VS.85).aspx

### Field Summary

Fields
`static int` `OLECONTF_EMBEDDINGS`
`static int` `OLECONTF_LINKS`
`static int` `OLECONTF_ONLYIFRUNNING`
`static int` `OLECONTF_ONLYUSER`
`static int` `OLECONTF_OTHERS`

### Fields inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`IID_IAccessible, IID_IHTMLElement, IID_IOleContainer, IID_IServiceProvider, IID_IWebBrowser2`

### Method Summary

Methods
`IEnumUnknown` `enumObjects(int flags)`
`boolean` `lockContainer(boolean lock)`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`addRef, getTotalRefCount, newIUnknown, queryInterface, release`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IResource

`addResource, findInResource, getPtr, getResourceManager, isPermanent`

### Field Detail

#### OLECONTF_EMBEDDINGS

    static final int OLECONTF_EMBEDDINGS

See Also:
  Constant Field Values

#### OLECONTF_LINKS

    static final int OLECONTF_LINKS

See Also:
  Constant Field Values

#### OLECONTF_OTHERS

    static final int OLECONTF_OTHERS

See Also:
  Constant Field Values

#### OLECONTF_ONLYUSER

    static final int OLECONTF_ONLYUSER

See Also:
  Constant Field Values

#### OLECONTF_ONLYIFRUNNING

    static final int OLECONTF_ONLYIFRUNNING

See Also:
  Constant Field Values

### Method Detail

#### enumObjects

    IEnumUnknown enumObjects(int flags)

#### lockContainer

    boolean lockContainer(boolean lock)